import { evolveJsonSchema } from '../../schema/evolve';
import { toString } from '../../utils/toString';
export function getHeadersTransformers(responseObject, _req, ctx) {
    if (!responseObject.headers) {
        return [];
    }
    const transformers = Object.entries(responseObject.headers).reduce((transformers, [headerName, headerObject]) => {
        const headerSchema = headerObject
            .schema;
        if (!headerSchema) {
            return transformers;
        }
        const headerValue = evolveJsonSchema(headerSchema);
        if (typeof headerValue === 'undefined') {
            return transformers;
        }
        return transformers.concat(ctx.set(headerName, toString(headerValue)));
    }, []);
    return transformers;
}
