/**
 * Returns the list of servers where the given specification
 * can be hosted.
 */
export function getServers(specification) {
    if ('basePath' in specification &&
        typeof specification.basePath !== 'undefined') {
        return [specification.basePath];
    }
    if ('servers' in specification &&
        typeof specification.servers !== 'undefined') {
        return specification.servers.map((server) => server.url);
    }
    return ['/'];
}
