import { Har, Entry, Response } from 'har-format';
import { RestHandler, ResponseTransformer } from 'msw';
export declare type MapEntryFn = (entry: Entry) => Entry | undefined;
/**
 * Map a traffic entry to the array of response transformers.
 */
export declare function toResponseTransformers(entry: Entry): ResponseTransformer[];
/**
 * Extract a response body from the given HAR response entry.
 * Decodes any base64-encoded text response bodies.
 */
export declare function toResponseBody(response: Response): Uint8Array | string | undefined;
/**
 * Generate request handlers from the given HAR file.
 */
export declare function fromTraffic(har: Har, mapEntry?: MapEntryFn): RestHandler[];
